Subject: Re: g++ iostream broken on windows 2000
From: Vijay Kumar <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 15 Sep 2003 17:00:57 -0700 (PDT)

Sorry for providing all the information needed. Ok,
let me give it another short.

I am using gcc 2.95.3-10 and compiling the program
using /usr/bin/g++-2.exe and here's the output from
cygcheck -svr

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Mon Sep 15 16:59:43 2003

Windows 2000 Professional Ver 5.0 Build 2195 Service
Pack 3

Path:	.
	c:\MyPrograms\QDSP5000\bin
	C:\utils\cygwin_latest\usr\local\bin
	C:\utils\cygwin_latest\bin
	C:\utils\cygwin_latest\bin
	C:\utils\cygwin_latest\usr\X11R6\bin
	c:\WINNT\MS\SMS\CORE\BIN
	c:\Program Files\Compaq\Compaq Management
Agents\Dmi\Win32\Bin
	c:\program files\compaq\desktop
management\dmi\win32\bin
	c:\WINNT\system32
	c:\WINNT
	c:\WINNT\system32\wbem
	c:\util
	c:\util\gnu\bin
	c:\MyPrograms\QDSP4000\bin
	c:\Program Files\Microsoft Visual
Studio\Common\Tools\WinNT
	c:\Program Files\Microsoft Visual
Studio\Common\MSDev98\Bin
	c:\Program Files\Microsoft Visual Studio\Common\Tools
	c:\Program Files\Microsoft Visual Studio\VC98\bin

Output from C:\utils\cygwin_latest\bin\id.exe
(nontsec)
UID: 21082(jkumar) GID: 10513(mkgroup-l-d)
10513(mkgroup-l-d)

Output from C:\utils\cygwin_latest\bin\id.exe (ntsec)
UID: 21082(jkumar) GID: 10513(mkgroup-l-d)
544(Administrators)  547(Power Users)     
545(Users)           10513(mkgroup-l-d)

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

CYGWIN = `ntsec'
HOME = `c:\'
MAKE_MODE = `unix'
PWD =
`/cygdrive/s/cvsworkspace/vijay/qdsp/qdsp5/src/qldr'
USER = `jkumar'

;PATH = `c:\program files\compaq\desktop
management\dmi\win32\bin;C:\WINNT\system32;C:\WINNT;C:\WINNT\system32\wbem;c:\utils\cygwin;c:\util;c:\util\gnu\bin'
ALLUSERSPROFILE = `C:\Documents and Settings\All
Users'
APPDATA = `C:\Documents and
Settings\jkumar\Application Data'
CLASSPATH =
`S:\cvsworkspace\vijay\qdsp\qdsp\qprof\class;S:\cvsworkspace\vijay\qdsp\qdsp\qprof\class\properties;S:\cvsworkspace\vijay\qdsp\qdsp\qprof\jars\jcommon-0.7.2.jar;S:\cvsworkspace\vijay\qdsp\qdsp\qprof\jars\jfreechart-0.9.6.jar'
COMMONPROGRAMFILES = `C:\Program Files\Common Files'
COMPUTERNAME = `JKUMAR2'
COMSPEC = `C:\WINNT\system32\cmd.exe'
CVS_RSH = `/bin/ssh'
HOMEDRIVE = `U:'
HOMEPATH = `\'
HOMESHARE = `\\windmill\jkumar'
HOSTNAME = `JKUMAR2'
INCLUDE = `C:\Program Files\Microsoft Visual
Studio\VC98\atl\include;C:\Program Files\Microsoft
Visual Studio\VC98\mfc\include;C:\Program
Files\Microsoft Visual Studio\VC98\include'
INFOPATH =
`/usr/local/info:/usr/info:/usr/share/info:/usr/autotool/devel/info:/usr/autotool/stable/info:'
KERNEL_VERSION = `0101000A'
LIB = `C:\Program Files\Microsoft Visual
Studio\VC98\mfc\lib;C:\Program Files\Microsoft Visual
Studio\VC98\lib'
LOGONSERVER = `\\NADC02'
MANPATH =
`/usr/local/man:/usr/man:/usr/share/man:/usr/autotool/devel/man:'
MSDEVDIR = `C:\Program Files\Microsoft Visual
Studio\Common\MSDev98'
NUMBER_OF_PROCESSORS = `1'
OLDPWD = `/cygdrive/c'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
OS = `Windows_NT'
PATHEXT =
`.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 15 Model 2 Stepping
4, GenuineIntel'
PROCESSOR_LEVEL = `15'
PROCESSOR_REVISION = `0204'
PROGRAMFILES = `C:\Program Files'
PROMPT = `$P$G'
PS1 = `$PWD> '
QDSP4000_HOME = `C:\MyPrograms\QDSP4000'
QDSP5000_HOME = `C:\MyPrograms\QDSP5000'
SHLVL = `1'
SMS_LOCAL_DIR = `C:\WINNT'
SOURCE_ROOT = `/cygdrive/s/cvsworkspace/vijay'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINNT'
TEMP = `c:\DOCUME~1\jkumar\LOCALS~1\Temp'
TERM = `cygwin'
TMP = `c:\DOCUME~1\jkumar\LOCALS~1\Temp'
USERDNSDOMAIN = `na.qualcomm.com'
USERDOMAIN = `NA'
USERNAME = `jkumar'
USERPROFILE = `C:\Documents and Settings\jkumar'
VDIR = `C:\Public\qdsp_rtos'
WIN32DMIPATH = `C:\Program Files\Compaq\Compaq
Management Agents\Dmi\Win32'
WINDIR = `C:\WINNT'
_ = `/usr/bin/cygcheck'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus
Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus
Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
  (default) = 0x00000400
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus
Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus
Solutions\Cygwin\mounts v2\/
  (default) = `C:\utils\cygwin_latest'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus
Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:\utils\cygwin_latest/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus
Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:\utils\cygwin_latest/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus
Solutions\Cygwin\mounts v2\/usr/X11R6/lib/X11/fonts
  (default) =
`C:\utils\cygwin_latest\usr\X11R6\lib\X11\fonts'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus
Solutions\Cygwin\Program Options

a:  fd           N/A    N/A                    
c:  hd  NTFS   38161Mb  25% CP CS UN PA FC     
d:  cd           N/A    N/A                    
r:  net NTFS     700Mb  96% CP CS UN PA        app1
s:  net FAT    256000Mb  78% CP CS UN          
vlsi_sw
u:  net FAT      250Mb  73% CP CS UN          
CIFS.HOMEDIR

.                                              
/cygdrive                 user    binmode,cygdrive
C:\utils\cygwin_latest                          /     
                   system  binmode
C:\utils\cygwin_latest/bin                     
/usr/bin                  system  binmode
C:\utils\cygwin_latest/lib                     
/usr/lib                  system  binmode
C:\utils\cygwin_latest\usr\X11R6\lib\X11\fonts 
/usr/X11R6/lib/X11/fonts  system  binmode
.                                              
/cygdrive                 system  binmode,cygdrive

Found: C:\utils\cygwin_latest\bin\awk.exe
Found: C:\utils\cygwin_latest\bin\bash.exe
Found: C:\utils\cygwin_latest\bin\cat.exe
Found: C:\utils\cygwin_latest\bin\cp.exe
Not Found: cpp (good!)
Found: C:\utils\cygwin_latest\bin\find.exe
Not Found: gcc
Found: C:\utils\cygwin_latest\bin\gdb.exe
Found: C:\utils\cygwin_latest\bin\grep.exe
Found: C:\utils\cygwin_latest\bin\ld.exe
Found: C:\utils\cygwin_latest\bin\ls.exe
Found: C:\utils\cygwin_latest\bin\make.exe
Found: C:\utils\cygwin_latest\bin\mv.exe
Found: C:\utils\cygwin_latest\bin\rm.exe
Found: C:\utils\cygwin_latest\bin\sed.exe
Found: C:\utils\cygwin_latest\bin\sh.exe
Found: C:\utils\cygwin_latest\bin\tar.exe

   61k 2003/08/09
C:\utils\cygwin_latest\bin\cygbz2-1.dll - os=4.0
img=1.0 sys=4.0
                  "cygbz2-1.dll" v0.0 ts=2003/8/8
23:35
   28k 2003/08/11
C:\utils\cygwin_latest\bin\cygcygipc-2.dll - os=4.0
img=1.0 sys=4.0
                  "cygcygipc-2.dll" v0.0 ts=2003/8/10
17:54
  380k 2002/07/24
C:\utils\cygwin_latest\bin\cygdb-3.1.dll - os=4.0
img=1.0 sys=4.0
                  "cygdb-3.1.dll" v0.0 ts=2002/7/24
9:24
  487k 2002/07/24
C:\utils\cygwin_latest\bin\cygdb_cxx-3.1.dll - os=4.0
img=1.0 sys=4.0
                  "cygdb_cxx-3.1.dll" v0.0
ts=2002/7/24 9:25
   45k 2001/04/25
C:\utils\cygwin_latest\bin\cygform5.dll - os=4.0
img=1.0 sys=4.0
                  "cygform5.dll" v0.0 ts=2001/4/24
22:28
   35k 2002/01/09
C:\utils\cygwin_latest\bin\cygform6.dll - os=4.0
img=1.0 sys=4.0
                  "cygform6.dll" v0.0 ts=2002/1/8
22:03
   48k 2003/08/09
C:\utils\cygwin_latest\bin\cygform7.dll - os=4.0
img=1.0 sys=4.0
                  "cygform7.dll" v0.0 ts=2003/8/9 2:25
   28k 2003/07/20
C:\utils\cygwin_latest\bin\cyggdbm-3.dll - os=4.0
img=1.0 sys=4.0
                  "cyggdbm-3.dll" v0.0 ts=2003/7/20
0:58
   30k 2003/08/11
C:\utils\cygwin_latest\bin\cyggdbm-4.dll - os=4.0
img=1.0 sys=4.0
                  "cyggdbm-4.dll" v0.0 ts=2003/8/10
19:12
   19k 2003/03/22
C:\utils\cygwin_latest\bin\cyggdbm.dll - os=4.0
img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2002/2/19
19:05
   15k 2003/07/20
C:\utils\cygwin_latest\bin\cyggdbm_compat-3.dll -
os=4.0 img=1.0 sys=4.0
                  "cyggdbm_compat-3.dll" v0.0
ts=2003/7/20 1:00
   15k 2003/08/11
C:\utils\cygwin_latest\bin\cyggdbm_compat-4.dll -
os=4.0 img=1.0 sys=4.0
                  "cyggdbm_compat-4.dll" v0.0
ts=2003/8/10 19:13
   69k 2003/08/10
C:\utils\cygwin_latest\bin\cyggettextlib-0-12-1.dll -
os=4.0 img=1.0 sys=4.0
                  "cyggettextlib-0-12-1.dll" v0.0
ts=2003/8/10 15:10
   12k 2003/08/10
C:\utils\cygwin_latest\bin\cyggettextpo-0.dll - os=4.0
img=1.0 sys=4.0
                  "cyggettextpo-0.dll" v0.0
ts=2003/8/10 15:11
  134k 2003/08/10
C:\utils\cygwin_latest\bin\cyggettextsrc-0-12-1.dll -
os=4.0 img=1.0 sys=4.0
                  "cyggettextsrc-0-12-1.dll" v0.0
ts=2003/8/10 15:10
   17k 2001/06/28
C:\utils\cygwin_latest\bin\cyghistory4.dll - os=4.0
img=1.0 sys=4.0
                  "cyghistory4.dll" v0.0 ts=2001/1/6
20:34
   29k 2003/08/10
C:\utils\cygwin_latest\bin\cyghistory5.dll - os=4.0
img=1.0 sys=4.0
                  "cyghistory5.dll" v0.0 ts=2003/8/10
16:16
  958k 2003/08/10
C:\utils\cygwin_latest\bin\cygiconv-2.dll - os=4.0
img=1.0 sys=4.0
                  "cygiconv-2.dll" v0.0 ts=2003/8/10
13:57
   22k 2001/12/13
C:\utils\cygwin_latest\bin\cygintl-1.dll - os=4.0
img=1.0 sys=4.0
                  "cygintl-1.dll" v0.0 ts=2001/12/13
1:28
   37k 2003/08/10
C:\utils\cygwin_latest\bin\cygintl-2.dll - os=4.0
img=1.0 sys=4.0
                  "cygintl-2.dll" v0.0 ts=2003/8/10
14:50
   26k 2001/04/25
C:\utils\cygwin_latest\bin\cygmenu5.dll - os=4.0
img=1.0 sys=4.0
                  "cygmenu5.dll" v0.0 ts=2001/4/24
22:27
   20k 2002/01/09
C:\utils\cygwin_latest\bin\cygmenu6.dll - os=4.0
img=1.0 sys=4.0
                  "cygmenu6.dll" v0.0 ts=2002/1/8
22:03
   29k 2003/08/09
C:\utils\cygwin_latest\bin\cygmenu7.dll - os=4.0
img=1.0 sys=4.0
                  "cygmenu7.dll" v0.0 ts=2003/8/9 2:25
  156k 2001/04/25
C:\utils\cygwin_latest\bin\cygncurses++5.dll - os=4.0
img=1.0 sys=4.0
                  "cygncurses++5.dll" v0.0
ts=2001/4/24 22:29
  175k 2002/01/09
C:\utils\cygwin_latest\bin\cygncurses++6.dll - os=4.0
img=1.0 sys=4.0
                  "cygncurses++6.dll" v0.0 ts=2002/1/8
22:03
  226k 2001/04/25
C:\utils\cygwin_latest\bin\cygncurses5.dll - os=4.0
img=1.0 sys=4.0
                  "cygncurses5.dll" v0.0 ts=2001/4/24
22:17
  202k 2002/01/09
C:\utils\cygwin_latest\bin\cygncurses6.dll - os=4.0
img=1.0 sys=4.0
                  "cygncurses6.dll" v0.0 ts=2002/1/8
22:03
  224k 2003/08/09
C:\utils\cygwin_latest\bin\cygncurses7.dll - os=4.0
img=1.0 sys=4.0
                  "cygncurses7.dll" v0.0 ts=2003/8/9
2:24
   15k 2001/04/25
C:\utils\cygwin_latest\bin\cygpanel5.dll - os=4.0
img=1.0 sys=4.0
                  "cygpanel5.dll" v0.0 ts=2001/4/24
22:27
   12k 2002/01/09
C:\utils\cygwin_latest\bin\cygpanel6.dll - os=4.0
img=1.0 sys=4.0
                  "cygpanel6.dll" v0.0 ts=2002/1/8
22:03
   19k 2003/08/09
C:\utils\cygwin_latest\bin\cygpanel7.dll - os=4.0
img=1.0 sys=4.0
                  "cygpanel7.dll" v0.0 ts=2003/8/9
2:24
   67k 2003/09/10
C:\utils\cygwin_latest\bin\cygpcre-0.dll - os=4.0
img=1.0 sys=4.0
                  "cygpcre-0.dll" v0.0 ts=2003/9/10
7:25
   63k 2003/04/11
C:\utils\cygwin_latest\bin\cygpcre.dll - os=4.0
img=1.0 sys=4.0
                  "cygpcre.dll" v0.0 ts=2003/4/11 1:31
   15k 2003/09/10
C:\utils\cygwin_latest\bin\cygpcreposix-0.dll - os=4.0
img=1.0 sys=4.0
                  "cygpcreposix-0.dll" v0.0
ts=2003/9/10 7:25
   61k 2003/04/11
C:\utils\cygwin_latest\bin\cygpcreposix.dll - os=4.0
img=1.0 sys=4.0
                  "cygpcreposix.dll" v0.0 ts=2003/4/11
1:31
 1100k 2003/08/29
C:\utils\cygwin_latest\bin\cygperl5_8_0.dll - os=4.0
img=1.0 sys=4.0
                  "cygperl5_8_0.dll" v0.0 ts=2003/8/29
3:20
  173k 2003/08/10
C:\utils\cygwin_latest\bin\cygpng12.dll - os=4.0
img=1.0 sys=4.0
                  "cygpng12.dll" v0.0 ts=2003/8/10
15:35
   22k 2002/06/09
C:\utils\cygwin_latest\bin\cygpopt-0.dll - os=4.0
img=1.0 sys=4.0
                  "cygpopt-0.dll" v0.0 ts=2002/6/8
22:45
  108k 2001/06/28
C:\utils\cygwin_latest\bin\cygreadline4.dll - os=4.0
img=1.0 sys=4.0
                  "cygreadline4.dll" v0.0 ts=2001/1/6
20:34
  148k 2003/08/10
C:\utils\cygwin_latest\bin\cygreadline5.dll - os=4.0
img=1.0 sys=4.0
                  "cygreadline5.dll" v0.0 ts=2003/8/10
16:16
   66k 2001/11/20
C:\utils\cygwin_latest\bin\cygregex.dll - os=4.0
img=1.0 sys=4.0
                  "cygregex.dll" v0.0 ts=2001/11/20
6:44
   60k 2003/08/09 C:\utils\cygwin_latest\bin\cygz.dll
- os=4.0 img=1.0 sys=4.0
                  "cygz.dll" v0.0 ts=2003/8/8 23:28
  947k 2003/09/13
C:\utils\cygwin_latest\bin\cygwin1.dll - os=4.0
img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2003/9/12
20:09
    Cygwin DLL version info:
        DLL version: 1.5.4
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 94
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Fri Sep 12 23:08:58 EDT 2003
        Shared id: cygwin1S3

Cygwin Package Information
Last downloaded files to: C:\temp
Last downloaded files from:
ftp://ftp.nas.nasa.gov/mirrors/cygwin.com/pub/cygwin

Package              Version        
_update-info-dir     00211-1        
ash                  20020731-3     
autoconf             2.57a-1        
autoconf-devel       2.57-2         
autoconf-stable      2.13-5         
automake             1.7.5a-1       
automake-devel       1.7.6-2        
automake-stable      1.4p5-6        
base-files           2.5-1          
base-passwd          1.1-1          
bash                 2.05b-13       
bc                   1.06-1         
binutils             20030901-1     
bison                1.875-1        
bzip2                1.0.2-5        
chkconfig            1.2.24h-1      
clear                1.0-1          
cmake                1.6.7-1        
cron                 3.0.1-11       
crypt                1.0-2          
cvs                  1.11.6-3       
cygipc               2.01-2         
cygrunsrv            0.96-2         
cygutils             1.2.1-2        
cygwin               1.5.4-1        
diffutils            2.8.4-1        
expect               20030128-1     
fileutils            4.1-2          
findutils            4.1.7-4        
flex                 2.5.31-1       
gawk                 3.1.3-3        
gcc-mingw            20030911-2     
gcc2                 2.95.3-10      
gdb                  20030901-1     
gdbm                 1.8.3-7        
gettext              0.12.1-3       
ghostscript          7.05-2         
ghostscript-base     7.05-2         
grep                 2.5-1          
gzip                 1.3.3-4        
inetutils            1.3.2-24       
initscripts          0.9-1          
libbz2_1             1.0.2-5        
libdb3.1             3.1.17-2       
libgdbm              1.8.0-5        
libgdbm-devel        1.8.3-7        
libgdbm3             1.8.3-3        
libgdbm4             1.8.3-7        
libgettextpo0        0.12.1-3       
libiconv2            1.9.1-3        
libintl1             0.10.40-1      
libintl2             0.12.1-3       
libncurses5          5.2-1          
libncurses6          5.2-8          
libncurses7          5.3-4          
libpcre              4.1-1          
libpcre0             4.4-2          
libpng12             1.2.5-4        
libpopt0             1.6.4-4        
libreadline4         4.1-2          
libreadline5         4.3-5          
login                1.9-7          
m4                   1.4-1          
make                 3.80-1         
mingw-runtime        3.0-1          
mktemp               1.5-3          
more                 2.11o-1        
ncurses              5.3-4          
perl                 5.8.0-5        
readline             4.3-5          
regex                4.4-3          
sed                  4.0.7-3        
sh-utils             2.0.15-4       
sharutils            4.2.1-3        
shutdown             1.3-1          
sunrpc               4.0-1          
sysvinit             2.84-4         
tar                  1.13.25-3      
tcltk                20030214-1     
tcp_wrappers         7.6-1          
tcsh                 6.12.00-7      
termcap              20020930-1     
terminfo             5.3-3          
texinfo              4.2-4          
textutils            2.0.21-1       
unzip                5.50-5         
vim                  6.2-3          
w32api               2.4-1          
which                1.5-2          
xinetd               2.3.9-1        
zip                  2.3-5          
zlib                 1.1.4-4        
Use -h to see help about each section

Thanks,
- Vijay
--- Igor Pechtchanski <[email-masked]> wrote:
> On Mon, 15 Sep 2003, Vijay Kumar wrote:
> 
> > Hi all,
> >
> > I have upgraded to the latest cygwin this morning
> and
> > I can not anymore run my programs that use
> ifstream to
> > read input files. It crashes giving segmentation
> > fault. When I ran strace, I found that the
> actually
> > fails in mmap.cc complaining
> STATUS_ACCESS_VIOLATION.
> >
> > Here's the simple code I ran. Anybody have any
> clues?
> > Interestingly the following programs works fine
> with
> > -mno-cygwin option which unfortunaty I can not use
> for
> > my application.
> >
> > # include <iostream>
> > # include <fstream>
> >
> > int main(int argc, char *argv[])
> > {
> >    char ch;
> >
> >    if (argc < 2)
> >    {
> >       cout << "Usage: a.out file_name" << endl;
> >    }
> >
> >    ifstream is(argv[1], ios::in);
> >
> >    while (! is.eof())
> >    {
> >        is.get(ch);
> >        cout << ch;
> >    }
> >    is.close();
> >
> >    return 0;
> > }
> >
> > Thanks,
> > - Vijay
> 
> Vijay,
> 
> Please (re)read <http://cygwin.com/problems.html>,
> especially the part
> about attaching (as an uncompressed text
> *attachment*) the output of
> "cygcheck -svr".  FYI, you must be using the earlier
> version of g++ as
> well, since g++ 3.2 complains on compiling your
> program (you need to
> insert "using namespace std;" before main() for it
> to compile).
> 
> FWIW, your program works just fine on Cygwin 1.5.3-1
> (as a datapoint).  I
> didn't install 1.5.4 yet, so can't try reproducing
> it there.
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski,
> Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a
> JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between
> your mentor and his route
> to the bathroom is a major career booster."  --
> Patrick Naughton
> 
> --
> Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:      
> http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/